Skip to main content
PUT
Update a function for a definition

Supported products

Authorizations

hapikey
string
query
required

Path Parameters

appId
integer<int32>
required

The unique identifier of the app associated with the definition.

definitionId
string
required

The unique identifier of the definition to which the function belongs.

functionId
string
required

The unique identifier of the function to insert.

functionType
enum<string>
required

The type of function to insert, indicating when it is executed. Valid values include PRE_ACTION_EXECUTION, PRE_FETCH_OPTIONS, POST_FETCH_OPTIONS, and POST_ACTION_EXECUTION.

Available options:
POST_ACTION_EXECUTION,
POST_FETCH_OPTIONS,
PRE_ACTION_EXECUTION,
PRE_FETCH_OPTIONS

Body

text/plain

The body is of type string.

Response

successful operation

functionType
enum<string>
required

The type of function, with accepted values: POST_ACTION_EXECUTION, POST_FETCH_OPTIONS, PRE_ACTION_EXECUTION, PRE_FETCH_OPTIONS.

Available options:
POST_ACTION_EXECUTION,
POST_FETCH_OPTIONS,
PRE_ACTION_EXECUTION,
PRE_FETCH_OPTIONS
id
string

The unique identifier for the function.

Last modified on September 9, 2026